[arch-commits] Commit in libice/trunk (PKGBUILD)

Ronald van Haren ronald at archlinux.org
Wed Oct 15 10:15:57 EDT 2008


    Date: Wednesday, October 15, 2008 @ 10:15:57
  Author: ronald
Revision: 15563

fix license

Modified:
  libice/trunk/PKGBUILD

----------+
 PKGBUILD |   11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-15 14:12:06 UTC (rev 15562)
+++ PKGBUILD	2008-10-15 14:15:57 UTC (rev 15563)
@@ -11,12 +11,17 @@
 makedepends=('pkgconfig' 'xtrans')
 options=('!libtool')
 source=(${url}/releases/individual/lib/libICE-${pkgver}.tar.bz2)
+license=('custom')
+md5sums=('4ab4e67e0b8845aa201e984153087f4a')
 
 build() {
-  cd ${startdir}/src/libICE-${pkgver}
+  cd ${srcdir}/libICE-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+
+  # install custom license
+  install -Dm644 $srcdir/libICE-$pkgver/COPYING \
+	$pkgdir/usr/share/licenses/$pkgname/COPYING || return 1
 }
-md5sums=('4ab4e67e0b8845aa201e984153087f4a')




More information about the arch-commits mailing list